Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
/usr/bin/lsb_release
/usr/bin/systemctl
systemd
ln: failed to create symbolic link '/lib/systemd/system/mysql.service': File exists
ln: failed to create symbolic link '/lib/systemd/system/mysqld.service': File exists
/usr/sbin/sestatus
dpkg-query: no packages found matching mysql-server
Hit:1 http://deb.debian.org/debian bullseye InRelease
Hit:2 http://deb.debian.org/debian bullseye-updates InRelease
Hit:3 http://security.debian.org/debian-security bullseye-security InRelease
Reading package lists...
ii apache2 2.4.51-1~deb11u1 amd64 Apache HTTP Server
ii bc 1.07.1-2+b2 amd64 GNU bc arbitrary precision calculator language
ii build-essential 12.9 amd64 Informational list of build-essential packages
ii cpp 4:10.2.1-1 amd64 GNU C preprocessor (cpp)
ii curl 7.74.0-1.3+b1 amd64 command line tool for transferring data with URL syntax
ii g++ 4:10.2.1-1 amd64 GNU C++ compiler
ii gawk 1:5.1.0-1 amd64 GNU awk, a pattern scanning and processing language
ii gcc 4:10.2.1-1 amd64 GNU C compiler
ii genisoimage 9:1.1.11-3.2 amd64 Creates ISO-9660 CD-ROM filesystem images
ii git 1:2.30.2-1 amd64 fast, scalable, distributed revision control system
ii gzip 1.10-4 amd64 GNU compression utilities
ii htmldoc 1.9.11-4 amd64 HTML processor that generates indexed HTML, PS, and PDF
ii isc-dhcp-server 4.4.1-2.3 amd64 ISC DHCP server for automatic IP address assignment
ii isolinux 3:6.04~git20190206.bf6db5b4+dfsg1-3 all collection of bootloaders (ISO 9660 bootloader)
ii lftp 4.8.4-2+b1 amd64 Sophisticated command-line FTP/HTTP/BitTorrent client programs
ii libapache2-mod-php 2:7.4+76 all server-side, HTML-embedded scripting language (Apache 2 module) (default)
ii libc6:amd64 2.31-13 amd64 GNU C Library: Shared libraries
ii libcurl4:amd64 7.74.0-1.3+b1 amd64 easy-to-use client-side URL transfer library (OpenSSL flavour)
ii liblzma-dev:amd64 5.2.5-2 amd64 XZ-format compression library - development files
ii m4 1.4.18-5 amd64 macro processing language
ii mariadb-client 1:10.5.11-1 all MariaDB database client (metapackage depending on the latest version)
ii mariadb-server 1:10.5.11-1 all MariaDB database server (metapackage depending on the latest version)
ii net-tools 1.60+git20181103.0eebece-1 amd64 NET-3 networking toolkit
ii nfs-kernel-server 1:1.3.4-6 amd64 support for NFS kernel server
ii openssh-server 1:8.4p1-5 amd64 secure shell (SSH) server, for secure access from remote machines
ii php 2:7.4+76 all server-side, HTML-embedded scripting language (default)
ii php-bcmath 2:7.4+76 all Bcmath module for PHP [default]
ii php-cli 2:7.4+76 all command-line interpreter for the PHP scripting language (default)
ii php-curl 2:7.4+76 all CURL module for PHP [default]
ii php-fpm 2:7.4+76 all server-side, HTML-embedded scripting language (FPM-CGI binary) (default)
ii php-gd 2:7.4+76 all GD module for PHP [default]
dpkg-query: no packages found matching php-gettext
php-php-gettext
Reading package lists...
Building dependency tree...
Reading state information...
E: Unable to locate package php-gettext
php-json-schema
php-json
ii php-json 2:7.4+76 all JSON module for PHP [default]
ii php-ldap 2:7.4+76 all LDAP module for PHP [default]
ii php-mbstring 2:7.4+76 all MBSTRING module for PHP [default]
php-mysql
ii php-mysql 2:7.4+76 all MySQL module for PHP [default]
php-mysql
ii php-mysql 2:7.4+76 all MySQL module for PHP [default]
ii sysv-rc-conf 0.99-7.1 all SysV init runlevel configuration tool for the terminal
ii tar 1.34+dfsg-1 amd64 GNU version of the tar archiving utility
ii tftpd-hpa 5.2+20150808-1.2 amd64 HPA's tftp server
ii tftp-hpa 5.2+20150808-1.2 amd64 HPA's tftp client
ii unzip 6.0-26 amd64 De-archiver for .zip files
ii vsftpd 3.0.3-12+b1 amd64 lightweight, efficient FTP server written for security
ii wget 1.21-1+b1 amd64 retrieves files from the web
ii xinetd 1:2.3.15.3-1+b1 amd64 replacement for inetd with many enhancements
ii zlib1g:amd64 1:1.2.11.dfsg-2 amd64 compression library - runtime
Reading package lists...
Building dependency tree...
Reading state information...
E: Unable to locate package php-gettext
Reading package lists...
Building dependency tree...
Reading state information...
E: Unable to locate package php-gettext
ii apache2 2.4.51-1~deb11u1 amd64 Apache HTTP Server
ii bc 1.07.1-2+b2 amd64 GNU bc arbitrary precision calculator language
ii build-essential 12.9 amd64 Informational list of build-essential packages
ii cpp 4:10.2.1-1 amd64 GNU C preprocessor (cpp)
ii curl 7.74.0-1.3+b1 amd64 command line tool for transferring data with URL syntax
ii g++ 4:10.2.1-1 amd64 GNU C++ compiler
ii gawk 1:5.1.0-1 amd64 GNU awk, a pattern scanning and processing language
ii gcc 4:10.2.1-1 amd64 GNU C compiler
ii genisoimage 9:1.1.11-3.2 amd64 Creates ISO-9660 CD-ROM filesystem images
ii git 1:2.30.2-1 amd64 fast, scalable, distributed revision control system
ii gzip 1.10-4 amd64 GNU compression utilities
ii htmldoc 1.9.11-4 amd64 HTML processor that generates indexed HTML, PS, and PDF
ii isc-dhcp-server 4.4.1-2.3 amd64 ISC DHCP server for automatic IP address assignment
ii isolinux 3:6.04~git20190206.bf6db5b4+dfsg1-3 all collection of bootloaders (ISO 9660 bootloader)
ii lftp 4.8.4-2+b1 amd64 Sophisticated command-line FTP/HTTP/BitTorrent client programs
ii libapache2-mod-php 2:7.4+76 all server-side, HTML-embedded scripting language (Apache 2 module) (default)
ii libc6:amd64 2.31-13 amd64 GNU C Library: Shared libraries
ii libcurl4:amd64 7.74.0-1.3+b1 amd64 easy-to-use client-side URL transfer library (OpenSSL flavour)
ii liblzma-dev:amd64 5.2.5-2 amd64 XZ-format compression library - development files
ii m4 1.4.18-5 amd64 macro processing language
ii mariadb-client 1:10.5.11-1 all MariaDB database client (metapackage depending on the latest version)
ii mariadb-server 1:10.5.11-1 all MariaDB database server (metapackage depending on the latest version)
ii net-tools 1.60+git20181103.0eebece-1 amd64 NET-3 networking toolkit
ii nfs-kernel-server 1:1.3.4-6 amd64 support for NFS kernel server
ii openssh-server 1:8.4p1-5 amd64 secure shell (SSH) server, for secure access from remote machines
ii php 2:7.4+76 all server-side, HTML-embedded scripting language (default)
ii php-bcmath 2:7.4+76 all Bcmath module for PHP [default]
ii php-cli 2:7.4+76 all command-line interpreter for the PHP scripting language (default)
ii php-curl 2:7.4+76 all CURL module for PHP [default]
ii php-fpm 2:7.4+76 all server-side, HTML-embedded scripting language (FPM-CGI binary) (default)
ii php-gd 2:7.4+76 all GD module for PHP [default]
dpkg-query: no packages found matching php-gettext
ii php-json 2:7.4+76 all JSON module for PHP [default]
ii php-ldap 2:7.4+76 all LDAP module for PHP [default]
ii php-mbstring 2:7.4+76 all MBSTRING module for PHP [default]
ii php-mysql 2:7.4+76 all MySQL module for PHP [default]
ii sysv-rc-conf 0.99-7.1 all SysV init runlevel configuration tool for the terminal
ii tar 1.34+dfsg-1 amd64 GNU version of the tar archiving utility
ii tftpd-hpa 5.2+20150808-1.2 amd64 HPA's tftp server
ii tftp-hpa 5.2+20150808-1.2 amd64 HPA's tftp client
ii unzip 6.0-26 amd64 De-archiver for .zip files
ii vsftpd 3.0.3-12+b1 amd64 lightweight, efficient FTP server written for security
ii wget 1.21-1+b1 amd64 retrieves files from the web
ii xinetd 1:2.3.15.3-1+b1 amd64 replacement for inetd with many enhancements
ii zlib1g:amd64 1:1.2.11.dfsg-2 amd64 compression library - runtime
New password: Retype new password: passwd: password updated successfully
Failed to stop php-fpm.service: Unit php-fpm.service not loaded.
+------------------------------------------+
| ..#######:. ..,#,.. .::##::. |
|.:###### .:;####:......;#;.. |
|...##... ...##;,;##::::.##... |
| ,# ...##.....##:::## ..:: |
| ## .::###,,##. . ##.::#.:######::.|
|...##:::###::....#. .. .#...#. #...#:::. |
|..:####:.. ..##......##::## .. # |
| # . ...##:,;##;:::#: ... ##.. |
| .# . .:;####;::::.##:::;#:.. |
| # ..:;###.. |
| |
+------------------------------------------+
| Free Computer Imaging Solution |
+------------------------------------------+
| Credits: http://fogproject.org/Credits |
| http://fogproject.org/Credits |
| Released under GPL Version 3 |
+------------------------------------------+
Version: 1.5.9 Installer/Updater
What version of Linux would you like to run the installation for?
1) Redhat Based Linux (Redhat, CentOS, Mageia)
2) Debian Based Linux (Debian, Ubuntu, Kubuntu, Edubuntu)
3) Arch Linux
Choice: [2]
Starting Debian based Installation
* Removing old PHP version before installing the new one......Failed
FOG Server installation modes:
* Normal Server: (Choice N)
This is the typical installation type and
will install all FOG components for you on this
machine. Pick this option if you are unsure what to pick.
* Storage Node: (Choice S)
This install mode will only install the software required
to make this server act as a node in a storage group
More information:
http://www.fogproject.org/wiki/index.php?title=InstallationModes
What type of installation would you like to do? [N/s (Normal/Storage)]
We found the following interfaces on your system:
* eth0 - 192.168.0.82/24
Would you like to change the default network interface from eth0?
If you are not sure, select No. [y/N]
Would you like to setup a router address for the DHCP server? [Y/n] What is the IP address to be used for the router on
the DHCP server? [192.168.0.1]
Would you like DHCP to handle DNS? [Y/n] What DNS address should DHCP allow? [1.1.1.1]
Would you like to use the FOG server for DHCP service? [y/N]
This version of FOG has internationalization support, would
you like to install the additional language packs? [y/N]
Using encrypted connections is state of the art on the web and we
encourage you to enable this for your FOG server. But using HTTPS
has some implications within FOG, PXE and fog-client and you want
to read https://wiki.fogproject.org/HTTPS before you decide!
Would you like to enable secure HTTPS on your FOG server? [y/N]
Which hostname would you like to use? Currently is: fog.bradyosborne.com
Note: This hostname will be in the certificate we generate for your
FOG webserver. The hostname will only be used for this but won't be
set as a local hostname on your server!
Would you like to change it? If you are not sure, select No. [y/N]
######################################################################
# FOG now has everything it needs for this setup, but please #
# understand that this script will overwrite any setting you may #
# have setup for services like DHCP, apache, pxe, tftp, and NFS. #
######################################################################
# It is not recommended that you install this on a production system #
# as this script modifies many of your system settings. #
######################################################################
# This script should be run by the root user. #
# It will prepend the running with sudo if root is not set #
######################################################################
# Please see our wiki for more information at: #
######################################################################
# https://wiki.fogproject.org/wiki/index.php #
######################################################################
* Here are the settings FOG will use:
* Base Linux: Debian
* Detected Linux Distribution: Debian GNU/Linux
* Interface: eth0
* Server IP Address: 192.168.0.82
* Server Subnet Mask: 255.255.255.0
* Server Hostname: fog.bradyosborne.com
* Installation Type: Normal Server
* Internationalization: 0
* Image Storage Location: /images
* Using FOG DHCP: Yes
* DHCP router Address: 192.168.0.1
* Are you sure you wish to continue (Y/N)
* Installation Started
* Testing internet connection.................................Done
* Adjusting repository (can take a long time for cleanup).....OK
* Preparing Package Manager...................................OK
* Packages to be installed:
apache2 bc build-essential cpp curl g++ gawk gcc genisoimage git gzip htmldoc isc-dhcp-server isolinux lftp libapache2-mod-php libc6 libcurl4 liblzma-dev m4 mariadb-client mariadb-server net-tools nfs-kernel-server openssh-server php php-bcmath php-cli php-curl php-fpm php-gd php-gettext php-json php-ldap php-mbstring php-mysql php-mysqlnd sysv-rc-conf tar tftpd-hpa tftp-hpa unzip vsftpd wget xinetd zlib1g
* Installing package: apache2.................................OK
* Installing package: bc......................................OK
* Skipping package: build-essential.........................(Already Installed)
* Skipping package: cpp.....................................(Already Installed)
* Skipping package: curl....................................(Already Installed)
* Skipping package: g++.....................................(Already Installed)
* Installing package: gawk....................................OK
* Skipping package: gcc.....................................(Already Installed)
* Installing package: genisoimage.............................OK
* Skipping package: git.....................................(Already Installed)
* Skipping package: gzip....................................(Already Installed)
* Installing package: htmldoc.................................OK
* Installing package: isc-dhcp-server.........................OK
* Installing package: isolinux................................OK
* Installing package: lftp....................................OK
* Installing package: libapache2-mod-php......................OK
* Skipping package: libc6...................................(Already Installed)
* Skipping package: libcurl4................................(Already Installed)
* Installing package: liblzma-dev.............................OK
* Installing package: m4......................................OK
* Installing package: mariadb-client..........................OK
* Installing package: mariadb-server..........................OK
* Skipping package: net-tools...............................(Already Installed)
* Installing package: nfs-kernel-server.......................OK
* Skipping package: openssh-server..........................(Already Installed)
* Installing package: php.....................................OK
* Installing package: php-bcmath..............................OK
* Installing package: php-cli.................................OK
* Installing package: php-curl................................OK
* Installing package: php-fpm.................................OK
* Installing package: php-gd..................................OK
* Installing package: php-gettext.............................Failed! (Will try later)
* Installing package: php-json................................OK
* Installing package: php-ldap................................OK
* Installing package: php-mbstring............................OK
* Installing package: php-mysql...............................OK
* Skipping package: php-mysql...............................(Already Installed)
* Installing package: sysv-rc-conf............................OK
* Skipping package: tar.....................................(Already Installed)
* Installing package: tftpd-hpa...............................OK
* Installing package: tftp-hpa................................OK
* Skipping package: unzip...................................(Already Installed)
* Installing package: vsftpd..................................OK
* Skipping package: wget....................................(Already Installed)
* Installing package: xinetd..................................OK
* Skipping package: zlib1g..................................(Already Installed)
* Updating packages as needed.................................OK
* Installing now everything is updated........................Failed!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!! The installer was not able to run all the way to the end as !!
!! something has caused it to fail. The following few lines are !!
!! from the error log file which might help us figure out what's !!
!! wrong. Please add this information when reporting an error. !!
!! As well you might want to take a look at the full error log !!
!! in /root/fogproject-1.5.9/bin/error_logs/fog_error_1.5.9.log !!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
E: Unable to locate package php-gettext
Reading package lists...
Building dependency tree...
Reading state information...
E: Unable to locate package php-gettext
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment